import type { ArgConfig, ArgConfigExtended, ValueValidatorInterface } from "../types";
export declare function validateArgConfig(config: ArgConfig, usedArgs: Set<string>): void;
export declare function checkEnoughPositionalValues(values: string[], argConfig: ArgConfigExtended): void;
export declare function checkAllPositionalValuesUsed(values: string[]): void;
export declare function createValueValidator(argConfig: ArgConfigExtended): BaseValueValidator;
declare abstract class BaseValueValidator implements ValueValidatorInterface {
    protected argConfig: ArgConfigExtended;
    constructor(argConfig: ArgConfigExtended);
    validateBeforeCast(value: string[], isset: boolean): void;
    validateAfterCast(value: unknown): void;
}
export {};
